## sphinxcontrib-phpdomain 0.11.2

=== requirements.txt ===
sphinx>=1.3, <8.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sphinxcontrib-rubydomain-acceptancetest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sphinxcontrib-rubydomain-acceptancetest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sphinxcontrib-rubydomain-acceptancetest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sphinxcontrib-rubydomain-acceptancetest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## sphinxcontrib-phpdomain 0.1.4

=== debian/changelog ===
sphinxcontrib-phpdomain (0.1.4-2) unstable; urgency=medium

  * Update watch file
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Sat, 25 Apr 2015 14:13:30 -0400

sphinxcontrib-phpdomain (0.1.4-1) unstable; urgency=low

  * Initial release. (Closes: #705411)

 -- David Prévot <taffit@debian.org>  Sun, 14 Apr 2013 15:25:46 -0400

=== debian/control ===
Source: sphinxcontrib-phpdomain
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), python-all, python-setuptools
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/sphinxcontrib-phpdomain
Vcs-Git: git://anonscm.debian.org/collab-maint/sphinxcontrib-phpdomain.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sphinxcontrib-phpdomain.git

Package: python-sphinxcontrib.phpdomain
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Sphinx "phpdomain" extension
 This package contains the PHP Domain extension for the Sphinx
 documentation system. This extension provides language support for PHP.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

get-orig-source:
	uscan --force --verbose

=== debian/watch ===
version=3
https://pypi.python.org/pypi/sphinxcontrib-phpdomain \
+.*/sphinxcontrib-phpdomain-(.*)\.tar\.gz

## sphinxcontrib-phpdomain 0.11.2

=== debian/changelog ===
sphinxcontrib-phpdomain (0.11.2-3) unstable; urgency=medium

  * remove David Prévot from Uploaders & d/copyright Closes: #1052126

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 03 Feb 2024 22:06:01 +0100

sphinxcontrib-phpdomain (0.11.2-2) unstable; urgency=medium

  * Team upload

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 02 Sep 2023 09:44:40 -0400

sphinxcontrib-phpdomain (0.11.2-1) unstable; urgency=medium

  * Refresh packaging for python3
  * New upstream version 0.11.2
  * d/copyright: update based on upstream's clarification
  * New upload to Debian archive. Closes: #1050065

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 18 Aug 2023 08:40:13 +0200

=== debian/control ===
Source: sphinxcontrib-phpdomain
Maintainer: Fab Stz <fabstz-it@yahoo.fr>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               python3-all,
               python3-docutils <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/markstory/sphinxcontrib-phpdomain
Vcs-Git: https://salsa.debian.org/bastif/sphinxcontrib-phpdomain.git
Vcs-Browser: https://salsa.debian.org/bastif/sphinxcontrib-phpdomain

Package: python3-sphinxcontrib.phpdomain
Architecture: all
Depends: python3-sphinx, ${misc:Depends}, ${python3:Depends}
Description: Sphinx "phpdomain" extension
 This package contains the PHP Domain extension for the Sphinx
 documentation system. This extension provides language support for PHP.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = sphinxcontrib.phpdomain

%:
	dh $@ --buildsystem=pybuild

ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)),)
execute_before_dh_installdocs:
	cd doc && make text
endif

## sphinxcontrib-phpdomain 0.13.0

=== requirements.txt ===
sphinx>=1.3, <9.0

=== test/myst/requirements.txt ===
sphinx
myst-parser

=== test/unit/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
.PHONY: comparehtml

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  clean      clean up test build artifacts"
	@echo "  html       to make standalone HTML files"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  comparehtml compare build/html with snapshots (for test regressions)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."


# get all test cases
test_sources = $(shell find . -name '*.rst')
# replace .rst with .html
test_html = $(notdir $(test_sources:.rst=.html))

$(BUILDDIR)/html/%.result: $(BUILDDIR)/html/%
	# create 'result' xml files from the generated html, but only capture role=main
	# to keep fixtures easier to manage.
	xmllint $(BUILDDIR)/html/$* --xpath '//div[@role="main"]' | xmllint --format - > $(BUILDDIR)/html/$*.result

compareresult-%:
	# compare test_doc.html and test_doc.html.result
	diff -u $* $(BUILDDIR)/html/$*.result

# generate dependency lists to contain iteration
generateresults: $(foreach build_html, $(test_html), $(BUILDDIR)/html/$(build_html).result)
compareresults: $(foreach build_html, $(test_html), compareresult-$(build_html))

# run from ci tooling
comparehtml: generateresults compareresults

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

=== debian/changelog ===
sphinxcontrib-phpdomain (0.13.0-2) unstable; urgency=medium

  * d/rules: check for 'nocheck' DEB_BUILD_OPTIONS
  * Add missing dependency in Makefile (Closes: #1105583)
  * Enable Salsa CI using default template

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 18 Aug 2025 08:32:59 +0200

sphinxcontrib-phpdomain (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * bump Standards-Version to 4.7.0 (no changes required)
  * run tests during build & add autopkgtest test

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 04 Feb 2025 13:45:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
+               libxml2-utils <!nocheck>,
+               python3-myst-parser <!nocheck>,
                python3-all,
                python3-docutils <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/markstory/sphinxcontrib-phpdomain
 Vcs-Git: https://salsa.debian.org/bastif/sphinxcontrib-phpdomain.git

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,10 @@
 execute_before_dh_installdocs:
 	cd doc && make text
 endif
+
+execute_after_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+	make -C test/unit clean
+	PYTHONPATH=$(CURDIR) make -C test/unit html SPHINXOPTS='-W'
+	make -C test/unit comparehtml
+endif

=== debian/tests/control ===
Test-Command: cd test/unit && make clean && make html SPHINXOPTS='-W' && make comparehtml
Depends: @, libxml2-utils

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/markstory/sphinxcontrib-phpdomain/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## sphinxcontrib-phpdomain 0.13.2

=== Makefile ===
clean:
	rm -rf ./dist ./build
.PHONY: clean

package:
	python -m build
.PHONY: package

upload:
	twine upload dist/sphinxcontrib*
.PHONY: upload

=== test/unit/Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	# to keep fixtures easier to manage.
 	xmllint $(BUILDDIR)/html/$* --xpath '//div[@role="main"]' | xmllint --format - > $(BUILDDIR)/html/$*.result
 
-compareresult-%:
+compareresult-%: $(BUILDDIR)/html/%.result
 	# compare test_doc.html and test_doc.html.result
 	diff -u $* $(BUILDDIR)/html/$*.result

=== debian/changelog ===
sphinxcontrib-phpdomain (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2
  * d/copyright: bump years
  * drop patch (merged upstream)

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 18 Feb 2026 17:57:02 +0100
